Bug 1936514 - Please build abseil-cpp for EPEL8
Summary: Please build abseil-cpp for EPEL8
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: abseil-cpp
Version: epel8
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rich Mattes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1757147
TreeView+ depends on / blocked
 
Reported: 2021-03-08 16:33 UTC by Ben Beasley
Modified: 2021-03-27 00:29 UTC (History)
1 user (show)

Fixed In Version: abseil-cpp-20200923.3-1.el8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-03-27 00:29:25 UTC
Type: Bug


Attachments (Terms of Use)

Description Ben Beasley 2021-03-08 16:33:18 UTC
Description of problem:

Need abseil-cpp as a dependency to attempt to build grpc in EPEL8 (https://bugzilla.redhat.com/show_bug.cgi?id=1757147).

Version-Release number of selected component (if applicable): 20200923.2-2


How reproducible:


Steps to Reproduce:
1. mock -r epel-8-x86_64 --dnf-cmd repoquery abseil-cpp-devel

Actual results:

(no result)

Expected results:

abseil-cpp-devel-0:20200923.2-2.el8.i686
abseil-cpp-devel-0:20200923.2-2.el8.x86_64

(or similar)

Additional info:

Current rawhide spec file appears to build for EPEL8 without modification.

I am willing to co-maintain if needed (FAS username music).

Comment 1 Rich Mattes 2021-03-09 01:32:47 UTC
Branch requested: https://pagure.io/releng/fedora-scm-requests/issue/32668

Comment 2 Rich Mattes 2021-03-09 02:42:01 UTC
I'll try to keep things up to date in el8, but I've added you as a committer to the package so I don't hold things up if you need to fix anything for grpc

Comment 3 Ben Beasley 2021-03-09 13:17:01 UTC
That was fast! Thanks.

Comment 4 Fedora Update System 2021-03-10 23:26:14 UTC
FEDORA-EPEL-2021-c1eb6f5af8 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-c1eb6f5af8

Comment 5 Fedora Update System 2021-03-12 00:17:57 UTC
FEDORA-EPEL-2021-c1eb6f5af8 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-c1eb6f5af8

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-03-27 00:29:25 UTC
FEDORA-EPEL-2021-c1eb6f5af8 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.